dart:Dart 命令行工具

dart 工具(bin/dart)是 Dart SDK 的命令行界面。无论您如何获取 Dart SDK,都可以使用该工具,无论您是显式下载 Dart SDK 还是仅下载 Flutter SDK。

以下是如何使用 dart 工具创建、分析、测试和运行应用

$ dart create -t console my_app
$ cd my_app
$ dart analyze
$ dart test
$ dart run bin/my_app.dart

您还可以使用 dart 工具运行 pub 命令

$ dart pub get
$ dart pub outdated
$ dart pub upgrade

下表显示了您可以与 dart 工具一起使用的命令。如果您正在为 Flutter 开发,则可以使用 flutter 工具

|

命令使用示例更多信息
analyzedart analyze [<DIRECTORY|DART_FILE>]分析项目的 Dart 源代码。
了解更多。
compiledart compile exe <DART_FILE>将 Dart 编译为各种格式。
替换 dart2jsdart2native
了解更多。
createdart create <DIRECTORY>创建一个新项目。
了解更多。
docdart doc <DIRECTORY>生成 API 参考文档。
替换 dartdoc
了解更多。
fixdart fix <DIRECTORY|DART_FILE>对 Dart 源代码应用自动修复。
了解更多。
formatdart format <DIRECTORY|DART_FILE>格式化 Dart 源代码。
了解更多。
infodart info输出 Dart 工具诊断信息。
了解更多。
pubdart pub <PUB_COMMAND>使用软件包。
替换 pub
了解更多。
rundart run <DART_FILE>运行 Dart 程序。
替换预先存在的 Dart VM 命令(无命令的 dart)。
了解更多。
testdart test <DIRECTORY|DART_FILE>在此软件包中运行测试。
替换 pub run test
了解更多。
(无)dart <DART_FILE>运行 Dart 程序;与预先存在的 Dart VM 命令相同。
首选 dart run

要获得任何命令的帮助,请输入 dart help <command>。您还可以获得有关 pub 命令的详细信息。

$ dart help pub outdated